Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.hibernate.annotations
Enum CacheConcurrencyStrategy

    java.lang.Object
      java.lang.Enum<CacheConcurrencyStrategy>
          org.hibernate.annotations.CacheConcurrencyStrategy

All Implemented Interfaces:
  Serializable, Comparable<CacheConcurrencyStrategy>

    public enum CacheConcurrencyStrategy

extends Enum<CacheConcurrencyStrategy>

Cache concurrency strategy

Author:
  Emmanuel Bernard

Enum Constant Summary
`NONE`
`NONSTRICT_READ_WRITE`
`READ_ONLY`
`READ_WRITE`
`TRANSACTIONAL`

Method Summary
`static CacheConcurrencyStrategy` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static CacheConcurrencyStrategy[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NONE

    public static final CacheConcurrencyStrategy NONE

### READ_ONLY

    public static final CacheConcurrencyStrategy READ_ONLY

### NONSTRICT_READ_WRITE

    public static final CacheConcurrencyStrategy NONSTRICT_READ_WRITE

### READ_WRITE

    public static final CacheConcurrencyStrategy READ_WRITE

### TRANSACTIONAL

    public static final CacheConcurrencyStrategy TRANSACTIONAL

Method Detail

### values

    public static final CacheConcurrencyStrategy[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(CacheConcurrencyStrategy c : CacheConcurrencyStrategy.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static CacheConcurrencyStrategy valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD